HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetChargesCharge

Contains the different functions to run the operation getChargesCharge

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetChargesCharge.hs
valuegetChargesCharge
  1. :: MonadHTTP m
  2. => GetChargesChargeParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetChargesChargeResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/charges/{charge}

<p>Retrieves the details of a charge that has previously been created. Supply the unique charge ID that was returned from your previous request, and Stripe will return the corresponding charge information. The same information is returned when creating or refunding the charge.</p>

Defines the object schema located at paths./v1/charges/{charge}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getChargesCharge.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetChargesChargeResponseError is used.

Constructors

Instances2Eq, Show